// 把时间戳改为正常可读的时间
export function renderTime(date) {
  if (date !== null) {
    let dateee = new Date(date).toJSON();
    return new Date(+new Date(dateee) + 8 * 3600 * 1000)
      .toISOString()
      .replace(/T/g, ' ')
      .replace(/\.[\d]{3}Z/, '');
  }
  return null;
}
export function sjTime(orderPlanInTime) {
  var stringTime = renderTime(orderPlanInTime);
  var timestamp1 = stringTime.replace(/-/g, '/');
  return new Date(timestamp1).getTime();
}
export function isVehicleNumber(vehicleNumber) {
  var result = false;
  if (vehicleNumber != null) {
    if (vehicleNumber.length === 7) {
      var express = /^[京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z]{1}[A-Z]{1}[A-Z0-9]{4}[A-Z0-9挂学警港澳]{1}$/;
      result = express.test(vehicleNumber);
    }
  }
  return result;
}

export function isNumber(value) {
  // 验证是否为数字
  var patrn = /^(-?\d+)(\.\d+)?$/;
  if (patrn.exec(value) == null || value === '') {
    return false;
  } else {
    return true;
  }
}
export function isIntegerNumber(value) {
  // 验证是否为整数
  var patrn = /^\+?[1-9][0-9]*$/g;
  if (patrn.exec(value) == null || value === '') {
    return false;
  } else {
    return true;
  }
}
export function stringToDate(dateStr, separator) {
  if (!separator) {
    separator = '-';
  }
  var dateArr = dateStr.split(separator);
  var year = parseInt(dateArr[0]);
  var month;
  // 处理月份为04这样的情况
  if (dateArr[1].indexOf('0') === 0) {
    month = parseInt(dateArr[1].substring(1));
  } else {
    month = parseInt(dateArr[1]);
  }
  var day = parseInt(dateArr[2]);
  var date = new Date(year, month - 1, day);
  return date;
}
